Bug 535708 - (RHQ-2376) improve compression / purge performance by creating appropriate indexes
improve compression / purge performance by creating appropriate indexes
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Database (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Corey Welton
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-21 19:01 EDT by Joseph Marques
Modified: 2009-09-10 10:51 EDT (History)
0 users

See Also:
Fixed In Version: 1.3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2009-08-21 19:01:00 EDT
analysis shows single-column indexes on time_stamp speeds stuff up.  need to create on appropriate tables.
Comment 1 Joseph Marques 2009-08-21 20:01:36 EDT
rev4978 - create time_stamp indexes on 1h and 6h measurement tables to speed up compression / purge intervals; 
Comment 2 Joseph Marques 2009-09-03 03:53:09 EDT
rev5087 - create time_stamp indexes on raw, 1h, and 6h measurement tables to speed up compression / purge intervals; 
Comment 3 Corey Welton 2009-09-10 10:51:50 EDT
QA Closing - code change.
Comment 4 Red Hat Bugzilla 2009-11-10 16:03:11 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2376

Note You need to log in before you can comment on or make changes to this bug.